Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.impl
Class TaskQueryServiceImpl

    java.lang.Object
      org.jbpm.task.impl.TaskQueryServiceImpl

All Implemented Interfaces:
  TaskQueryService

    @Named
    @ApplicationScoped
    public class TaskQueryServiceImpl

extends Object
implements TaskQueryService

Constructor Summary
`TaskQueryServiceImpl()`

Method Summary
`protected List<TaskSummary>` | `collectTasksByPotentialOwners(List tasksByGroups, String language)`
`int` | `getPendingSubTasksByParent(long parentId)`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`Task` | `getTaskInstanceById(long taskId)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResults)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroup(String groupId, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroups(List<String> groupIds, String language)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDate(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds, String language, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwned(String userId)`
`List<TaskSummary>` | `getTasksOwned(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDate(String userId, List<Status> status, Date expirationDate)`
`List<TaskSummary>` | `getTasksOwnedByExpirationDateOptional(String userId, List<Status> status, Date expirationDate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskQueryServiceImpl

    public TaskQueryServiceImpl()

Method Detail

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                                     String language)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `TaskQueryService`

### getTasksAssignedAsExcludedOwner

    public List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsExcludedOwner` in interface `TaskQueryService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskQueryService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              List<String> groupIds,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskQueryService`

### getTasksAssignedByGroup

    public List<TaskSummary> getTasksAssignedByGroup(String groupId,
                                                     String language)

  Specified by:
    `getTasksAssignedByGroup` in interface `TaskQueryService`

### getTasksAssignedByGroupsByExpirationDateOptional

    public List<TaskSummary> getTasksAssignedByGroupsByExpirationDateOptional(List<String> groupIds,
                                                                              String language,
                                                                              Date expirationDate)

  Specified by:
    `getTasksAssignedByGroupsByExpirationDateOptional` in interface `TaskQueryService`

### collectTasksByPotentialOwners

    protected List<TaskSummary> collectTasksByPotentialOwners(List tasksByGroups,
                                                              String language)

### getTasksAssignedByGroupsByExpirationDate

    public List<TaskSummary> getTasksAssignedByGroupsByExpirationDate(List<String> groupIds,
                                                                      String language,
                                                                      Date expirationDate)

  Specified by:
    `getTasksAssignedByGroupsByExpirationDate` in interface `TaskQueryService`

### getTasksAssignedByGroups

    public List<TaskSummary> getTasksAssignedByGroups(List<String> groupIds,
                                                      String language)

  Specified by:
    `getTasksAssignedByGroups` in interface `TaskQueryService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              List<String> groupIds,
                                                              String language,
                                                              int firstResult,
                                                              int maxResults)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskQueryService`

### getTasksAssignedAsRecipient

    public List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                         String language)

  Specified by:
    `getTasksAssignedAsRecipient` in interface `TaskQueryService`

### getTasksAssignedAsTaskInitiator

    public List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsTaskInitiator` in interface `TaskQueryService`

### getTasksAssignedAsTaskStakeholder

    public List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                               String language)

  Specified by:
    `getTasksAssignedAsTaskStakeholder` in interface `TaskQueryService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId)

  Specified by:
    `getTasksOwned` in interface `TaskQueryService`

### getTasksOwnedByExpirationDate

    public List<TaskSummary> getTasksOwnedByExpirationDate(String userId,
                                                           List<Status> status,
                                                           Date expirationDate)

  Specified by:
    `getTasksOwnedByExpirationDate` in interface `TaskQueryService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           List<Status> status,
                                           String language)

  Specified by:
    `getTasksOwned` in interface `TaskQueryService`

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                                      List<Status> status,
                                                                      String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `TaskQueryService`

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                             List<String> groupIds,
                                                                             List<Status> status,
                                                                             String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatusByGroup` in interface `TaskQueryService`

### getSubTasksAssignedAsPotentialOwner

    public List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                                 String userId,
                                                                 String language)

  Specified by:
    `getSubTasksAssignedAsPotentialOwner` in interface `TaskQueryService`

### getSubTasksByParent

    public List<TaskSummary> getSubTasksByParent(long parentId)

  Specified by:
    `getSubTasksByParent` in interface `TaskQueryService`

### getPendingSubTasksByParent

    public int getPendingSubTasksByParent(long parentId)

  Specified by:
    `getPendingSubTasksByParent` in interface `TaskQueryService`

### getTaskInstanceById

    public Task getTaskInstanceById(long taskId)

  Specified by:
    `getTaskInstanceById` in interface `TaskQueryService`

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long workItemId)

  Specified by:
    `getTaskByWorkItemId` in interface `TaskQueryService`

### getTasksOwnedByExpirationDateOptional

    public List<TaskSummary> getTasksOwnedByExpirationDateOptional(String userId,
                                                                   List<Status> status,
                                                                   Date expirationDate)

  Specified by:
    `getTasksOwnedByExpirationDateOptional` in interface `TaskQueryService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.